--- title: "getLaunchConfigurationDetail" slug: "compute-vautoscaling-launchconfiguration-getlaunchconfigurationdetail" updated: 2026-09-17T10:05:57Z published: 2026-09-17T10:05:57Z canonical: "api.ncloud-docs.com/compute-vautoscaling-launchconfiguration-getlaunchconfigurationdetail" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # getLaunchConfigurationDetail Available in VPC Get details of a launch configuration. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | GET \| POST | /vautoscaling/v2/getLaunchConfigurationDetail | Note This guide is based on the GET method. POST method call tests can be performed through Swagger in the API Gateway service of the NAVER Cloud Platform console. ### Request headers For information about the headers common to all Auto Scaling APIs, see [Auto Scaling request headers](/docs/en/compute-vautoscaling#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request query parameters You can use the following query parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `regionCode` | String | Optional | Region code - See [getRegionList](/docs/en/compute-vserver-server-common-getregionlist). - First Region in the query results (default) | | `launchConfigurationNo` | String | Required | Launch configuration number - See [getLaunchConfigurationList](/docs/en/compute-vautoscaling-launchconfiguration-getlaunchconfigurationlist). | | `responseFormatType` | String | Optional | Format of the response data - `xml` (default) \| `json` | ### Request example The request example is as follows: ``` curl --location --request GET 'https://ncloud.apigw.ntruss.com/vautoscaling/v2/getLaunchConfigurationDetail ?regionCode=KR &launchConfigurationNo=5891 &responseFormatType=json' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `getLaunchConfigurationDetailResponse` | Object | - | Response result - See [LaunchConfigurationList](/docs/en/common-vapidatatype-launchconfigurationlist). | | `getLaunchConfigurationDetailResponse.requestId` | String | - | ID for the request - UUID format | | `getLaunchConfigurationDetailResponse.returnCode` | String | - | Response code | | `getLaunchConfigurationDetailResponse.returnMessage` | String | - | Response message | ### Response status codes For response status codes common to all Auto Scaling APIs, see [Auto Scaling response status codes](/docs/en/compute-vautoscaling#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` { "getLaunchConfigurationDetailResponse": { "totalRows": 1, "launchConfigurationList": [ { "regionCode": "KR", "launchConfigurationNo": "5891", "launchConfigurationName": "launchconfig", "serverImageProductCode": "SW.VSVR.OS.LNX64.UBNTU.SVR2204.B050", "serverProductCode": "SVR.VSVR.STAND.C002.M008.NET.SSD.B050.G002", "loginKeyName": "ncp-loginkey", "createDate": "2025-05-15T09:48:51+0900", "launchConfigurationStatus": { "code": "CREAT", "codeName": "Created" }, "initScriptNo": "", "isEncryptedVolume": false, "serverImageNo": "3182409", "osInformation": "ubuntu-22.04", "serverSpecNo": "621", "serverSpecCode": "s2-g2-s50", "serverSpecDescription": "vCPU 2EA, Memory 8GB, [SSD]Disk 50GB" } ], "requestId": "ec02c442-****-****-****-1a758d514603", "returnCode": "0", "returnMessage": "success" } } ```